Package org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid

# Class ValidLRACSParticipant

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.ValidLRACSParticipant

@ApplicationScoped @Path("valid-cs-participant1") public class ValidLRACSParticipant extends Object
Valid participant resource containing async non-JAX-RS participant methods with `CompletionStage` return types

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENLIST_WITH_COMPENSATE`
`static final String`
`ENLIST_WITH_COMPLETE`
`static final String`
`ROOT_PATH`

## Constructor Summary

Constructors
Constructor
Description
`ValidLRACSParticipant()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`acceptLRA(Integer recoveryPasses)`
`CompletionStage<Void>`
`compensate(URI lraId)`
`CompletionStage<jakarta.ws.rs.core.Response>`
`complete(URI lraId)`
`jakarta.ws.rs.core.Response`
`enlistWithCompensate(URI lraId)`
`jakarta.ws.rs.core.Response`
`enlistWithComplete(URI lraId)`
`jakarta.ws.rs.core.Response`
`getAcceptLRA()`
`CompletionStage<ParticipantStatus>`
`status(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ROOT_PATH

public static final String ROOT_PATH

See Also:
  - Constant Field Values

### ENLIST_WITH_COMPLETE

public static final String ENLIST_WITH_COMPLETE

See Also:
  - Constant Field Values

### ENLIST_WITH_COMPENSATE

public static final String ENLIST_WITH_COMPENSATE

See Also:
  - Constant Field Values

## Constructor Details

### ValidLRACSParticipant

public ValidLRACSParticipant()

## Method Details

### enlistWithComplete

@GET @Path("enlist-complete") public jakarta.ws.rs.core.Response enlistWithComplete(@HeaderParam("Long-Running-Action") URI lraId)

### enlistWithCompensate

@GET @Path("enlist-compensate") public jakarta.ws.rs.core.Response enlistWithCompensate(@HeaderParam("Long-Running-Action") URI lraId)

### compensate

public CompletionStage<Void> compensate(URI lraId)

### complete

public CompletionStage<jakarta.ws.rs.core.Response> complete(URI lraId)

### status

public CompletionStage<ParticipantStatus> status(URI lraId)

### acceptLRA

@PUT @Path("/accept") public jakarta.ws.rs.core.Response acceptLRA(@QueryParam("recoveryCount") @DefaultValue("0") Integer recoveryPasses)

### getAcceptLRA

@GET @Path("/accept") public jakarta.ws.rs.core.Response getAcceptLRA()